<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="libreDeuda" pageWidth="595" pageHeight="842" whenNoDataType="AllSectionsNoDetail" columnWidth="535" leftMargin="30" rightMargin="30" topMargin="20" bottomMargin="20" scriptletClass="com.civitas.cred.jasper.LibreDeudaScriptlet" uuid="a5d091ec-8eca-47ed-85a1-3ce47630cc9c">
	<property name="ireport.scriptlethandling" value="2"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="295"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="idObjetoi" class="java.lang.String">
		<defaultValueExpression><![CDATA["2"]]></defaultValueExpression>
	</parameter>
	<parameter name="idPersona" class="java.lang.String" isForPrompting="false"/>
	<parameter name="REPORTS_PATH" class="java.lang.String" isForPrompting="false"/>
	<parameter name="SCHEMA" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["CREDITOS.dbo"]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[SELECT * 
FROM $P!{SCHEMA}.PERSONA P, $P!{SCHEMA}.TIPODOC T
WHERE  P.IDPERSONA = $P{idPersona}
AND P.CODI_47 = T.CODI_47]]>
	</queryString>
	<field name="IDPERSONA" class="java.math.BigDecimal"/>
	<field name="CODI_01" class="java.math.BigDecimal"/>
	<field name="NOMB_12" class="java.lang.String"/>
	<field name="SEXO_12" class="java.lang.String"/>
	<field name="ZONA_12" class="java.lang.String"/>
	<field name="FENA_12" class="java.sql.Timestamp"/>
	<field name="ECIV_12" class="java.math.BigDecimal"/>
	<field name="NUDO_12" class="java.math.BigDecimal"/>
	<field name="CEDU_12" class="java.math.BigDecimal"/>
	<field name="CPOS_12" class="java.lang.String"/>
	<field name="EXPE_12" class="java.lang.String"/>
	<field name="PAIS_12" class="java.math.BigDecimal"/>
	<field name="CUIL_12" class="java.math.BigDecimal"/>
	<field name="CODI_08" class="java.math.BigDecimal"/>
	<field name="CODI_47" class="java.math.BigDecimal"/>
	<field name="IDLOCALIDAD" class="java.math.BigDecimal"/>
	<field name="TIPO_12" class="java.lang.String"/>
	<field name="IDCALLE" class="java.math.BigDecimal"/>
	<field name="CALLE" class="java.lang.String"/>
	<field name="NUMERO" class="java.lang.String"/>
	<field name="PISO" class="java.lang.String"/>
	<field name="DPTO" class="java.lang.String"/>
	<field name="IDBARRIO" class="java.math.BigDecimal"/>
	<field name="LOCALIDAD" class="java.lang.String"/>
	<field name="CODI_21" class="java.math.BigDecimal"/>
	<field name="FECHAALTA" class="java.sql.Timestamp"/>
	<field name="FECHABAJA" class="java.sql.Timestamp"/>
	<field name="MOTIVOBAJA" class="java.lang.String"/>
	<field name="RAZONSOCIAL" class="java.lang.String"/>
	<field name="DETA_47" class="java.lang.String"/>
	<field name="TIDO_47" class="java.lang.String"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="80" splitType="Stretch">
			<staticText>
				<reportElement key="staticText-1" x="183" y="50" width="152" height="30" uuid="512e183a-5759-4013-9d3c-5cdd122499e3"/>
				<textElement textAlignment="Center">
					<font size="16"/>
				</textElement>
				<text><![CDATA[LIBRE DE DEUDA]]></text>
			</staticText>
			<image>
				<reportElement key="image-1" x="24" y="0" width="100" height="58" uuid="867f7daa-f824-42b8-b6c4-b7f7ff6e8a78"/>
				<imageExpression><![CDATA[$P{REPORTS_PATH} + "/images/escudo.jpg"]]></imageExpression>
			</image>
		</band>
	</title>
	<pageHeader>
		<band height="700" splitType="Stretch">
			<textField isBlankWhenNull="false">
				<reportElement key="textField-1" x="35" y="23" width="469" height="94" uuid="c00c89f0-cc1b-4da0-af0d-7ccebdf3f83a"/>
				<textElement textAlignment="Justified"/>
				<textFieldExpression><![CDATA["Certifico que: " + $F{NOMB_12} + " con documento " + $F{TIDO_47} + 
" número " + $F{NUDO_12}.toString() + 
" CUIT/CUIL: " + $F{CUIL_12}.toString() +
", no posee deudas " +
"al día de la fecha con esta institución .Extendiéndose por ello la presente declaración de LIBRE DEUDA " +
"a los " + $P{REPORT_SCRIPTLET}.getDia() + 
" días del mes de " + $P{REPORT_SCRIPTLET}.getMes() +
" del año " + $P{REPORT_SCRIPTLET}.getAño() +  "."]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="staticText-2" x="35" y="126" width="88" height="28" uuid="360c7ebf-4a14-4769-b981-932a68852851"/>
				<text><![CDATA[VALIDEZ 30 DÍAS ]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-3" x="110" y="341" width="90" height="28" uuid="6153aa8d-edd9-4018-bfb2-4320af012ab1"/>
				<text><![CDATA[................................  Firma Responsable]]></text>
			</staticText>
			<staticText>
				<reportElement key="staticText-4" x="322" y="341" width="90" height="28" uuid="99343ffa-dbe4-428b-8220-b4d6fa9c6dfb"/>
				<text><![CDATA[................................  Firma Responsable]]></text>
			</staticText>
		</band>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band splitType="Stretch"/>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band splitType="Stretch"/>
	</summary>
</jasperReport>
